EXEC master.dbo.sp_addlinkedserver 
-- Name of your linked server
@server = N'HiveAccessFromSQL',
--Product name of the OLE DB data source to 
--add as a linked server, it should be HIVE
@srvproduct=N'HIVE', 
-- Unique Programmatic Identifier (PROGID) of the 
-- OLE DB provider that corresponds to this data source 
@provider=N'MSDASQL', 
-- Name of the DSN - Based on bit-ness of SQL Server
-- you need to create 32-bit or 64-bit Hive ODBC DSN
@datasrc=N'HiveODBC64 to tyhdicluster', 
-- Provider-specific connection string that identifies a unique data source
@provstr=N'Provider=MSDASQL;Persist Security Info=True;User ID=tyhdiadmin;Password=<your password to connect to HDInsight cluster>' 
GO

-- Using standard SQL with four part naming convention. This gets converted to 
-- equivalent HiveQL and executed on the connected HDInsight cluster
SELECT TOP 2 * FROM [HiveAccessFromSQL].[HIVE].[airlinesdb].[ontimedeparturepercent]
GO

-- Using OPENQUERY method to execute HiveQL queries on 
-- the connected HDInsight cluster
SELECT * FROM OPENQUERY(HiveAccessFromSQL, 'SELECT * FROM airlinesdb.ontimedeparturepercent')
GO

SELECT * FROM OPENQUERY(HiveAccessFromSQL, 'SELECT * FROM HIVE_SYSTEM.HIVE_SYSTEM WHERE ENVKEY LIKE ''%hive%''')
GO
