ADD JAR wasb:///OozieWorkflow/csv-serde-1.1.2.jar;
DROP TABLE IF EXISTS OnTimeDeparturePercent;
CREATE TABLE OnTimeDeparturePercent ROW FORMAT DELIMITED FIELDS TERMINATED BY ',' 
AS
SELECT AirlineLookup.Airline, 100.0*OnTimeDepartureFlights.Flights/TotalFlights.Flights AS OnTimeDeparturePercentage
FROM TotalFlights
INNER JOIN AirlineLookup ON AirlineLookup.AirlineID=TotalFlights.AirlineID
LEFT JOIN OnTimeDepartureFlights ON TotalFlights.AirlineID=OnTimeDepartureFlights.AirlineID;